export interface IOptions {
    host: string;
    port: number;
    auth: IAuth;
}
export interface IAuth {
    user: string;
    pass: string;
}
export interface ISendData {
    to: string;
    subject: string;
    content: IText | IHTML;
}
declare type IText = string;
declare type IHTML = string;
export declare class Mail {
    private readonly options;
    static create(options: IOptions): Mail;
    static createClient(options: IOptions): Mail;
    private transporter;
    constructor(options: IOptions);
    send({ to, subject, content }: ISendData): Promise<any>;
}
export default Mail;
